Table of Contents

## Name

XtAppError, XtAppSetErrorHandler, XtAppSetWarningHandler, XtAppWarning - low-level error handlers

## Syntax

void XtAppError(XtAppContext app_context, String message);
void XtAppSetErrorHandler(XtAppContext app_context, XtErrorHandler
  handler);
void XtAppSetWarningHandler(XtAppContext app_context, XtErrorHandler
  handler);
void XtAppWarning(XtAppContext app_context, String message);

## Arguments

Specifies the application context.

Specifies the nonfatal error message that is to be reported. or the nonfatal error procedure, which usually returns

Specifies the new fatal error procedure, which should not return,.

Specifies the message that is to be reported.

## Description

The XtAppError function calls the installed error procedure and passes the specified message.

The XtAppSetErrorHandler function registers the specified procedure, which is called when a fatal error condition occurs.

The XtAppSetWarningHandler registers the specified procedure, which is called when a nonfatal error condition occurs.

The XtAppWarning function calls the installed nonfatal error procedure and passes the specified message.

## See Also

XtAppGetErrorDatabase(3Xt) , XtAppErrorMsg(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also